<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use App\Services\Client\ExtendOrderService;
use Illuminate\Http\Request;

class ExtendOrderController extends Controller
{
    protected ExtendOrderService $service;

    public function __construct(ExtendOrderService $service)
    {
        $this->service = $service;
    }

    /**
     * 获取加钟项目列表
     */
    public function getProjectList(Request $request)
    {
        $projectId = $request->input('project_id');
        return $this->service->getProjectList($projectId);
    }

    /**
     * 加钟
     */
    public function extend(Request $request)
    {
        $orderId = $request->route('order_id');
        return $this->service->extend($orderId);
    }
} 